#karma-jspm#

karma-jspm includes the jspm module loader for karma runs. This allows dynamic loading of src/test files and modules. No longer do you need to worry about browserifying your src or tests before every test run!

##Installation##

Available in npm: `npm install karma-jspm`

##Configuration##

*karma.conf.js*

Include this plugin in your frameworks:

```js
frameworks: ['jspm', 'jasmine'],
```

This configuration tells karma-jspm which files should by dynamically loaded via systemjs before the tests run. Globs or regular file paths are acceptable. 
**You should not include these in the regular karma files array.** karma-jspm takes care of this for you.

```js
jspm: {
    // Edit this to your needs
    files: ['src/**/*.js', 'test/**/*.js']
}
```

This proxy configuration tells Karma to rewrite the requests for `/jspm_packages/...` to `/base/jspm_packages/...` so that karma knows how to serve the files that jspm/systemjs will try to load.

```js
proxies: {
    '/jspm_packages/': '/base/jspm_packages/'
}
```

That's it!

